# nn_strerror(3compat) Manual Page

## NAME

nn_strerror - return message for error (compatible API)

## SYNOPSIS

    #include <nanomsg/nn.h>

    const char *nn_strerror(int err);

## DESCRIPTION

The `nn_strerror()` function returns a human readable message corresponding to the given error number err.

| This function is provided for API compatibility with legacy libnanomsg. Consider using the relevant modern API instead.

## RETURN VALUES

This function returns the message corresponding to err.

## ERRORS

None.

## SEE ALSO

nn_errno(3compat), nng_compat(3compat), nng(7)